<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$clenguaje=new cLanguage();
	
if(!comprobar_sesion()){
	mensaje($clenguaje->Phrase('global','ses_cad'),$clenguaje->Phrase('project','institucion'));
	exit;	
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(trim($_REQUEST['accion'])=='edit'){
	$txtcodusu=trim(escapar($_REQUEST['codigo']));
	$sql="select * from conf_usuarios where ide_usuario='$txtcodusu'";

	$academia->instruccion($sql);
	$reg=$academia->extraer_registro();
	
	$txtcc=trim($reg['num_identificacion']);
	$txtpnom=trim($reg['nombres_usu']);
	$txtpape=trim($reg['apellidos_usu']);
	
	$tip_usu=trim($reg['tipo_usu']);
	$txtnomusu=trim($reg['login']);
	$activo=trim($reg['active']);
	$cod_cargo=trim($reg['ide_cargo']);
	$mail=trim($reg['mail_usuario']);
	$accion="edit";

}else{
	$accion="new";
	$txtcc='';
	$txtpnom='';
	$txtpape='';
	$tip_usu='';
	$txtnomusu='';
	$activo=0;
	$txtpuerta='';
	$cod_cargo='';
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Nueva Persona</title>

<script type="text/javascript">
$(document).ready(function () {
	var newDt=null;
	$("#accion").click(function(){
		var tipo=$(this).attr('acc');
		
		if(tipo=='new'){
			msgexito=dtsLang.globals.newexito;
		}else{
			msgexito=dtsLang.globals.editexito;
		}
		
		var colName=$("#listado_usuarios").getRowData('4');				
		newDt={
			num_identificacion:$("#txtcc").val(),
			fullname:$("#txtpapellido").val() +" "+ $("#txtpnombre").val(),
			mail_usuario:$("#txtmail_us").val(),
			login:$("#txtnomusu").val(),
			active: $("#txtactivo").is(":checked") ? '<?php echo $clenguaje->getField("global",'rta_s') ?>' : '<?php echo $clenguaje->getField("global",'rta_n') ?>',
			tipo_usu:$("#txt_tip_usu option:selected").html(),
			ide_cargo:$("#txtcargo option:selected").html(),
		};
		
		var conf={
			url:'mod_admin_usuarios/oper_usuarios.php',
			data:$("#new_edit_usuario").serialize(),
			modulo:'administrador',
			empresa: '<?php  echo $clenguaje->Phrase('project','institucion') ?>',
			msg_cmps_oblg:'<?php echo $clenguaje->Phrase('global','cmpobl') ?>', //mensaje campos obligatorios
			msgExito:msgexito,
			msg_espere:'<?php  echo $clenguaje->Phrase('global', 'msg_espera') ?>',	
			id_grilla:'listado_usuarios',
			data_grid:newDt,
			frm:"#new_edit_usuario",
			evento:tipo,
		}
		
		acciones(conf);
	})
	
	$("#txtcc").valida({
		rulers:3,
		mincar:6,
	});
	$("#txtpapellido").valida({
		rulers:2,
		mincar:3,
	});
	
	$("#txtpnombre").valida({
		rulers:2,
		mincar:3,
	});
	
	$("#txtnomusu").valida({
		rulers:4,
		mincar:4,
		lcapital:false
	});
	
	$("#txtpw1").valida({
		rulers:4,
		mincar:4,
		lcapital:false
	});
	
	$("#txtpw2").valida({
		rulers:4,
		mincar:4,
		lcapital:false
	});
	
	$("#txtmail_us").valida({
		tipo:'em',
		required:false,
		lcapital:false
	});
	
	$("#txtpw2").focusout(function(){
		if($(this).val()==$("#txtpw1").val()){
			$(this).addClass("campos").removeClass("campos_error");
		}else{
			$(this).addClass("campos_error").removeClass("campos");
		}
	})
	
	$("#txtcamcontra").change(function(){
		if($(this).is(':checked')){
			$("#txtpw2").addClass("campos_error").removeClass("campos");
			$("#txtpw1").addClass("campos_error").removeClass("campos");
			$("#txtpw1").val('');
			$("#txtpw2").val('');
			$("#txtpw1").removeAttr('disabled');
			$("#txtpw2").removeAttr('disabled');			
		}else{
			$("#txtpw1").addClass("campos").removeClass("campos_error");
			$("#txtpw2").addClass("campos").removeClass("campos_error");
			$("#txtpw1").val('');
			$("#txtpw2").val('');
			$("#txtpw1").attr('disabled','disabled');
			$("#txtpw2").attr('disabled','disabled');

		}
	});
	<?php if($_REQUEST['accion']=='edit'){	?>
		$("#txtpw1").addClass("campos").removeClass("campos_error");
		$("#txtpw2").addClass("campos").removeClass("campos_error");
		$("#txtpw1").attr('disabled','disabled');
		$("#txtpw2").attr('disabled','disabled');
	<?php } ?>
	
	$("#txt_tip_usu, #txtcargo").valida_select()
	
		
	
});




</script>
</head>

<body>
<form action="" method="post" name="new_edit_usuario" id="new_edit_usuario">
<input name="id" type="hidden" id="id" value="<?php echo $txtcodusu ?>" />
<input name="oper" type="hidden" id="oper" value="<?php echo $accion ?>" />

<table width="394" border="0" align="center" cellpadding="2" cellspacing="1">
  <tr>
    <td colspan="4" class="ui-widget-header" align="center"><?php echo $clenguaje->Phrase('administrador','dt_person') ?></td>
    </tr>
  <tr>
    <td width="192" class="tit1"><?php echo $clenguaje->getField('administrador','num_doc') ?></td>
    <td width="95" ><span class="tit1"><?php echo $clenguaje->getField('administrador','ape_user') ?></span></td>
    <td width="96" colspan="2" class="tit1"><?php echo $clenguaje->getField('administrador','nom_user') ?></td>
  </tr>
  <tr>
    <td class="tit1"><input name="txtcc" type="text"  id="txtcc" value="<?php echo $txtcc ?>" size="20" /></td>
    <td ><input name="txtpapellido" type="text"  id="txtpapellido" value="<?php echo $txtpape ?>" size="25" /></td>
    <td colspan="2" ><input name="txtpnombre" type="text"  id="txtpnombre" value="<?php echo $txtpnom ?>" size="25" /></td>
  </tr>
  <tr class="tit1">
    <td ><?php echo $clenguaje->getField('administrador','cargo') ?></td>
    <td  ><?php echo $clenguaje->getField('administrador','mail') ?></td>
    <td colspan="2"  >&nbsp;</td>
  </tr>
  <tr class="tit1">
    <td ><select name="txtcargo" class="campos" id="txtcargo" style="width:150px" >
      <?php	
			$cmps="cod_cargo,nom_cargo";
			$ord='ORDER BY nom_cargo ASC';
			$tabla="adm_cargos";
			$cmpcnd="";
			$default=$cod_cargo;
			mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
		 ?>
    </select></td>
    <td colspan="3"  ><input name="txtmail_us" type="text" id="txtmail_us" value="<?php echo $mail ?>" size="40" /></td>
    </tr>
  <tr class="tit1">
    <td colspan="4"  class="ui-widget-header" align="center"><?php echo $clenguaje->Phrase('administrador','dt_users') ?></td>
  </tr>
  <tr class="tit1">
    <td  class="tit1"><?php echo $clenguaje->getField('administrador','user') ?></td>
    <td class="tit1"><?php echo $clenguaje->getField('administrador','tip_user') ?></td>
    <td class="tit1"><?php echo $clenguaje->getField('administrador','activo') ?></td>
    <td class="tit1"><?php echo $_REQUEST['accion']=='edit' ? $clenguaje->getField('administrador','cam_psw') :'' ?></td>
    </tr>
  <tr>
    <td ><input name="txtnomusu" type="text"  id="txtnomusu" value="<?php echo $txtnomusu ?>" size="20" /></td>
    <td><span class="tit1">
      <select name="txt_tip_usu" class="campos" id="txt_tip_usu" style="width:150px" >
        <?php	
			$cmps="*";
			$ord='ORDER BY tipo_usuario ASC';
			$tabla="conf_tipos_usuarios";
			$cmpcnd="";
			$default=$tip_usu;
			mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
		 ?>
      </select><input name="orig_tip_rol" type="hidden" value="<?php echo $tip_usu; ?>" />
    </span></td>
    <td><input name="txtactivo" type="checkbox" id="txtactivo" value="S"  <?php echo $activo=='S' ? "checked='checked'" : '' ?>/></td>
    <td><?php if($_REQUEST['accion']=='edit'){ ?><input type="checkbox" name="txtcamcontra" id="txtcamcontra" /><?php } ?></td>
    </tr>
  <tr>
    <td class="tit1"><?php echo $clenguaje->getField('administrador','pswd') ?></td>
    <td class="tit1"><?php echo $clenguaje->getField('administrador','chec_pswd') ?></td>
    <td colspan="2" class="tit1">&nbsp;</td>
  </tr>
  <tr>
    <td ><input name="txtpw1" type="password"  id="txtpw1" size="25" <?php echo  trim($_REQUEST['accion'])=='editar' ? "disabled='disabled'" : '' ?> /></td>
    <td><input name="txtpw2" type="password" class="campos_error" id="txtpw2" size="25" <?php echo  trim($_REQUEST['accion'])=='editar' ? "disabled='disabled'" : '' ?> /></td>
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="4" align="center" ><?php
		if($_REQUEST['accion']!='new')
			echo "<img src='images/guardar.png' id='accion' acc='edit' alt='Actualizar' width='20' height='20' class='opera' title='Actualizar'/>";
		else
			echo "<img src='images/guardar.png' id='accion' acc='new'  alt='Guardar' width='20' height='20' class='opera' title='Guardar'/>";
		?></td>
  </tr>
</table>
</form>
</body>
</html>
<?php
	$academia->cerrar();
?>